{
  "env": {
    "browser": true,
    "es6": true
  },
  "globals": {},
  "overrides": [
    {
      "files": ["*.ts"],
      "extends": [
        "openlayers",
        "plugin:@typescript-eslint/eslint-recommended",
        "plugin:@typescript-eslint/recommended",
        "plugin:@angular-eslint/recommended",
        "plugin:@angular-eslint/recommended--extra"
      ],
      "plugins": ["@typescript-eslint", "@angular-eslint"],
      "parser": "@typescript-eslint/parser",
      "parserOptions": {
        "ecmaVersion":  2018
      },
      "rules": {
        "import/extensions": [
          "error",
          "ignorePackages",
          {"js": "never", "ts": "never"}
        ],
        "@typescript-eslint/no-empty-function": ["error", {"allow": ["constructors"]}]
      }
    },
    {
      "files": [
        "*.html"
      ],
      "parser": "@angular-eslint/template-parser",
      "extends": [
        "plugin:@angular-eslint/template/recommended"
      ],
      "plugins": [
        "@angular-eslint/template"
      ],
      "rules": {}
    },
    {
      "files": [
        "**/*.spec.js"
      ],
      "env": {
        "jasmine": true
      }
    },
    {
      "files": [
        "**/webpack.*.js"
      ],
      "rules": {
        "@typescript-eslint/no-var-requires": "off"
      }
    }
  ],
  "settings": {
    "import/resolver": {
      "node": {
        "extensions": [".js", ".ts"]
      }
    }
  }
}
